2016-09-04 Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

  2.24.5

2016-09-03 Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

  Gtk::MenuList::insert(): Use static_cast<bool>() instead of double negation

  Use static_cast<bool>(item) instead of !!item to explicitly convert
  Glib::RefPtr<> to bool. It's more obvious. Bug #770682

2016-05-31 Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

  Gdk::ScopedPtr: Don't require a C++11 compiler

  * gdk/src/types.hg: Don't use the C++11-specific nullptr and noexcept.
  https://mail.gnome.org/archives/gtkmm-list/2016-May/msg00021.html

2016-05-25 Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

  Improve the documentation of Gtk::ComboBoxText

  Bug #766039

2016-05-25 Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

  Update to be more compatible with glibmm 2.47.6 and later

  * gdk/src/types.hg: Glib::ScopedPtr has been deprecated. To be able to build
  gtkmm with GLIBMM_DISABLE_DEPRECATED, copy Glib::ScopedPtr to Gdk::ScopedPtr.
  * gdk/src/types.ccg:
  * gtk/src/clipboard.ccg:
  * gtk/src/colorselection.ccg:
  * gtk/src/rc.ccg:
  * gtk/src/widget.ccg:
  * demos/gtk-demo/example_dialog.cc: Use Gdk::ScopedPtr instead of
  Glib::ScopedPtr.
  * gtk/src/menushell.ccg: Glib::Refptr::operator bool() has been made explicit.
  It's no longer used in item != 0, where item is a RefPtr. Change the
  expression to the equivalent !!item.

  Even with these changes it's not unproblematic to build gtkmm2 with a new
  version of gmmproc, because _CLASS_BOXEDTYPE and _CLASS_GOBJECT generate
  move operators but gtkmm2 does not require a C++11 compiler.

2015-08-14 Murray Cumming  <murrayc@murrayc.com>

  Pixbuf: Avoid deprecations warnings that break --enable-warnings=fatal.

  Such as during distcheck.

2015-08-14 Murray Cumming  <murrayc@murrayc.com>

  configure.ac: Use C++11 if the compiler supports it.

  For instance, use --std=c++11 when using g++.
  This will let gtkmm-2.24 build against newer glibmm versions.
  Applications will need to use --std=c++11 too if glibmm is a newer
  version.
  Of course, you should be using gtkmm 3 anyway.

2015-07-24 Murray Cumming  <murrayc@murrayc.com>

  Fix the previous commit

2015-07-24 Murray Cumming  <murrayc@murrayc.com>

  Add list.m4 here in gtkmm instead of in glibmm.

  It was removed from glibmm in this commit because nothing that's
  still supported (really, I'm not supporting this branch that I
  am committing in) still uses it:
  https://git.gnome.org/browse/glibmm/commit/?id=b4198dd1945ef4a9787b76c1a68e61708a9b1fa9

2015-07-05  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	More fixes to suit newish glibmm.

	* gtk/src/entrycompletion.hg: Add a missing double quote in
	_WRAP_PROPERTY("text_column, int), to avoid a warning from gmmproc 2.41.0
	or newer.
	* gtk/src/printunixdialog.hg: get_selected_printer(): Ref-counting correction.
	Fix a .->, typo to make the refreturn option actually be used. Necessary
	with gmmproc 2.29.13 or newer. Discussed in bug #657751, comment 5.

2015-07-02  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Add #includes needed with glibmm newer than 2.31.0.

	* gdk/src/color.hg:
	* gdk/src/pixbufanimationiter.hg:
	* gdk/src/pixbufformat.hg:
	* gdk/src/rectangle.hg:
	* gdk/src/rgbcmap.hg:
	* gdk/src/types.hg:
	* gtk/src/enums.hg:
	* gtk/src/main.hg:
	* gtk/src/papersize.hg:
	* gtk/src/textattributes.hg:
	* gtk/src/treemodel.hg: Add individual includes now that gmmproc does not
	add #include <glibmm.h> at the top of every generated header.
	* gtk/gtkmm/border.h: Add #include <gtk/gtk.h> to make
	glibmm/tools/test_scripts/testheaders.sh happy.

2014-09-19 Chun-wei Fan  <fanchunwei@src.gnome.org>

  Fix the Visual Studio 2008/2010 Projects

  Remove the /vd2 compile-time option, as it causes crashes in the built
  binaries, and define a MSVC-compatible getc_unlocked() replacement.

  * MSVC_Net2008/gdkmm/gdkmm.vcproj:
  * MSVC_Net2008/gtkmm/gtkmm.vcproj:
  * MSVC_Net2010/gdkmm/gdkmm.vcxproj:
  * MSVC_Net2010/gtkmm/gtkmm.vcxproj: Remove the /vd2 compile option, as it
    is not needed and causes crashes in the built code.
  * MSVC_Net2008/demos/gtk-demo/gtk-demo.vcproj:
  * MSVC_Net2010/demos/gtk-demo/gtk-demo.vcxproj: Remove the /vd2
    compile option, and define a getc_unlocked() replacement suitable
    for Visual Studio builds.

2014-09-19 Chun-wei Fan  <fanchunwei@src.gnome.org>

  MSVC Projects: Use DOS/Windows Line Feeds for .sln Files

  Visual Studio expects .sln files to have DOS/Windows line feeds so that
  the their versions and meta data can be properly recognized.

  * MSVC_Net2005/gtkmm.sln:
  * MSVC_Net2008/gtkmm.sln:
  * MSVC_Net2010/gtkmm.sln: Use DOS/Windows line feeds as this is
    what the Visual Studio IDE expects of those files.

2012-03-14  Murray Cumming  <murrayc@murrayc.com>

	PaperSize: Correct the PaperSizeTraits pre-declaration.

	* gtk/src/papersize.hg: PaperSizeTraits is a struct, not a class.
	clang++ noticed this while building Glom, though I have not run it on all of 
	gtkmm.

2.24.4:

(Just regenerated with the correct glibmm version.)

2.24.3:

2013-04-04  Hubert Figuière  <hub@figuiere.net>

	* gtk/src/treemodel.hg:
	* gtk/gtkmm/accelkey.cc:
	* gtk/gtkmm/accelmap.cc:
	* gtk/gtkmm/selectiondata_private.cc:
	* gdk/gdkmm/rgb.cc: Add missing include.

2011-11-16  Hub Figuière  <hub@figuiere.net>

	Fix namespacing for Cairo (Closes: #663303)

	* gdk/src/window.hg: Cairo need to be referred into the global
	namespace

2011-07-08  Murray Cumming  <murrayc@murrayc.com>

	Increase mm-common version requirement.

	* configure.ac: Require the version that actually allows avoiding 
	the dependency in the tarball.

2.24.2:

2011-07-08  Murray Cumming  <murrayc@murrayc.com>

	Do not require mm-common for tarball builds.

	* configure.ac: Use MM_CONFIG_DOCTOOL_DIR() as in gtkmm 3 already, 
	and in other *mm projects.
	Bug #654231 (Pacho Ramos)

2.24.1:

2011-06-14  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	ComboBoxText: Ctors call set_entry_text_column() when has_entry is true.

	* gtk/gtkmm/comboboxtext.cc: Constructors call set_entry_text_column()
	instead of pack_start(), when has_entry is true. Bug #650673.

2011-06-14  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	ComboBoxText: prepend_text() calls prepend().

	* gtk/gtkmm/comboboxtext.cc: prepend_text() calls prepend() instead of
	append(). Bug #650673.

2011-06-14  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	ComboBoxText: Fix deprecation comment and inconsistent ifdefs.

	* gtk/gtkmm/comboboxtext.h: Change comment for deprecated clear(): Use
	remove_all() instead of equally deprecated clear_items().
	* gtk/gtkmm/comboboxtext.cc: clear_items() is guarded by
	GTKMM_DISABLE_DEPRECATED, as in comboboxtext.h. Bug #650673.

2011-06-14  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	ComboBoxText: Fix a typo.

	* gtk/gtkmm/comboboxtext.cc: Replace has_model by has_entry. Bug #650673.

2011-02-22  Murray Cumming  <murrayc@murrayc-desktop>

	Gdk::Rectangle: Added reference documentation.

	* gdk/src/rectangle.hg: Add doxygen comments based on the documentation of 
	the C API.
	
2.24.0:

2011-02-08  Murray Cumming  <murrayc@murrayc.com>

	ComboBoxText, ComboBoxEntryText: Add warning about not confusing these.

	* gtk/gtkmm/comboboxentrytext.h:
	* gtk/gtkmm/comboboxtext.h: Add a doxygen comment warning people not to 
	call set_model() on these or to pack more cells in.

2.23.91:

2011-02-02  Murray Cumming  <murrayc@murrayc.com>

	Button: undeprecated the clicked() method.

	* gtk/src/button.hg: gtk_button_clicked() is not deprecated. Fix that 
	mistake.
	Thanks to Aurimas Černius.

2011-02-02  Murray Cumming  <murrayc@murrayc.com>

	Image: Added constructor and a const-correct set(IconSet, size) method.

	* gtk/src/image.[hg|ccg]: set(IconSet, size): Deprecate the existing one 
	because it takes a non-const IconSet&, adding a correct method overload.
	Likewise, deprecate and replace the corresponding constructor.
	We use IconSet via RefPtr in gtkmm 3 anyway, so we have already fixed this 
	problem there.

2011-02-02  Murray Cumming  <murrayc@murrayc.com>

	Pixbuf: Minor documentation improvement.

	* gdk/src/pixbuf.hg: Dealt with a TODO comment.

2011-02-01  Murray Cumming  <murrayc@murrayc.com>

	ComboEntryText: Add append(), prepend() and insert().

	* gtk/gtkmm/comboboxentrytext.[h|cc]: Add append(), prepend() and insert() 
	to make this API more like the API in gtkmm, deprecating append_text(), 
	prepend_text() and insert_text(). Note that this whole class is deprecated 
	anyway.

2011-02-01  Murray Cumming  <murrayc@murrayc.com>

	Make sure that all deprecated API is in an ifdef.

	* gdk/src/display.ccg:
	* gdk/src/display.hg:
	* gdk/src/dragcontext.hg:
	* gdk/src/image.hg:
	* gtk/gtkmm/comboboxtext.cc:
	* gtk/src/treemodel.hg: Add ifdefs around all deprecated API, 
	making it easier to avoid using that API.

2011-02-01  Murray Cumming  <murrayc@murrayc.com>

	Gdk::Image: Added get_pixel().

	* gdk/src/image.hg: Added get_pixel(), wrapping 
	gdk_image_get_pixel(), deprecating get_mem() in favour of it.

2011-02-01  Murray Cumming  <murrayc@murrayc.com>

	Regenerated the XML files for the C API documentation.

	* gdk/src/gdk_docs.xml:
	* gtk/src/gtk_docs.xml: Regenerated with docextract_to_xml.py.

2011-02-01  Murray Cumming  <murrayc@murrayc.com>

	Documentation: Remove : from deprecation documentation.

	* gtk/src/colorselection.hg:
	* gtk/src/ruler.hg:
	* gtk/src/toolitem.hg:
	* gtk/src/widget.hg:
	* gtk/src/window.hg: Change @deprecated: to @deprecated.

2011-01-27  Murray Cumming  <murrayc@murrayc.com>

	ComboBox: Make the API more like the one in gtkmm 3.

	* gtk/src/combobox.[hg|ccg]: Added get_entry() and get_entry_text(), which 
	were already in gtkmm 3. 

2011-01-27  Murray Cumming  <murrayc@murrayc.com>

	Allow discovery of the installed m4 files.

	* gtk/gtkmm.pc.in: Add gmmprocm4dir, as we do in gtkmm 3, 
	because gtkmm-2.4 could be using the same newer glibmm that makes this 
	necessary.

2011-01-27  Murray Cumming  <murrayc@murrayc.com>

	ComboBoxText: Make this API more like the one in gtkmm 3.
	
	* gtk/gtkmm/comboboxtext.[h|cc]: Deprecate clear_items() in favour of 
	remove_all(), which is in gtkmm 3, because GTK+ 3 has that, now that GTK+ 3 
	has a real API for this.

2011-01-18  Murray Cumming  <murrayc@murrayc.com>

	Range: Added get/set_round_digits() and property.

	* gtk/src/range.hg: This API Is new in GTK+ in git master.

2.23.90:

2011-01-15  Murray Cumming  <murrayc@murrayc.com>

	ListViewText: Rename methods to be consistent with ComboBoxText.

	* gtk/gtkmm/listviewtext.[h|cc]: Rename append_text(), insert_text(), and 
	prepend_text() to append(), insert() and prepend() because that is what 
	ComboBoxText now uses (because it has other append overloads).
	Keep the old methods as deprecated.

2011-01-14  Murray Cumming  <murrayc@murrayc.com>

	Fix the make check build.

	* gdk/gdkmm/general.h: set_source_pixbuf(): Add default parameter values, 
	as are already in gtkmm-3.0.
	* demos/gtk-demo/demowindow.cc:
	* demos/gtk-demo/example_change_display.cc:
	* demos/gtk-demo/example_drawingarea.cc:
	* demos/gtk-demo/example_menus.cc:
	* demos/gtk-demo/example_pixbufs.cc:
	* demos/gtk-demo/example_sizegroup.cc:
	* demos/gtk-demo/example_textview.cc:
	* demos/gtk-demo/example_treeview_treestore.cc:
	* demos/pixbuf-demo.cc: Port to the latest undeprecated gtkmm-2.4 API, 
	based on the gtkmm-3.0 versions of these demos.

2011-01-14  Murray Cumming  <murrayc@murrayc.com>

	ComobBoxText: Add append(), prepend() and insert(), deprecating *_text().

	* gtk/gtkmm/comboboxtext.[h|cc]: Add append(), prepend() and insert(),
	depreacting append_text(), prepend_text() and insert_text(), so that the API
	matches the on in gtkmm 3 more. However, there is a bug open about 
	making sure that this is consistent across other classes.

2011-01-14  Murray Cumming  <murrayc@murrayc.com>

	Widget: Deprecated hide_all().

	* gtk/src/widget.hg: The existing hide() method should be used instead.

2011-01-14  Murray Cumming  <murrayc@murrayc.com>

	Deprecate HRuler and VRuler.

	* gtk/src/ruler.hg: Ruler was already deprecated, but HRuler and VRuler 
	were not.

2011-01-14  Murray Cumming  <murrayc@murrayc.com>

	Notebook: Deprecated get/set_group(), adding get/set_group_name().
	
	* gtk/src/notebook.hg: Follow the deprecation in GTK+ 2.24.

2011-01-14  Murray Cumming  <murrayc@murrayc.com>

	Notebook: Deprecated set_window_creation_hook().

	* gtk/src/notebook.[hg|ccg]: This method is deprecated in favour of the 
	existing create-window signal, but that still does not seem useful or 
	worth wrapping.

2011-01-14  Murray Cumming  <murrayc@murrayc.com>

	AboutDialog: Deprecate set_email/url_hook(), adding signal_activated().

	* gtk/src/aboutdialog.[hg|ccg]: Add signal_activate() to replace 
	set_email_hook() and set_url_hook().

2011-01-14  Murray Cumming  <murrayc@murrayc.com>

	Drawable: Deprecate some methods, adding replacements in Window.

	* gdk/src/drawable.hg: Deprecate get_visual(), get_screen() and get_display().
	* gdk/src/window.hg: Added get_visual(), get_screen() and get_display().

2011-01-14  Murray Cumming  <murrayc@murrayc.com>

	Display: Deprecate set_pointer_hooks() and unset_pointer_hooks().

	* gdk/src/display.[hg|ccg]: Deprecate these methods with no replacements.

2011-01-14  Murray Cumming  <murrayc@murrayc.com>

	Drawable: Deprecate the draw_*() methods.

	* gdk/src/drawable.[hg|ccg]: Deprecate the draw_*() methods.

2011-01-14  Murray Cumming  <murrayc@murrayc.com>

	Window: Correct my broken begin_drag() implementation.

	* gdk/src/window.ccg: gdk_drag_begin() takes a GList*, not an array.

2011-01-14  Murray Cumming  <murrayc@murrayc.com>

	DragContext: Deprecate create(), adding Window::drag_begin().

	* gdk/src/dragcontext.hg: Deprecate the constructor and create(), because 
	the equivalent gdk_drag_context_new() is deprecated.
	* gdk/src/window.[hg|ccg]: Added begin_drag(), wrapping gdk_drag_begin(), 
	mentioned in the deprecation comment.
	* tools/m4/convert_gdk.m4: Added a DragContext conversion.

2011-01-14  Murray Cumming  <murrayc@murrayc.com>

	Fix the make check build.

	* demos/gtk-demo/example_treeview_editable_cells.cc:
	* demos/gtk-demo/example_treeview_treestore.cc: Use get_first_cell() instead 
	of deprecated get_first_cell_renderer().

2011-01-12  Murray Cumming  <murrayc@murrayc.com>

	Fix the make check build.

	* demos/gtk-demo/example_change_display.cc: Comment out the code that 
	we cannot yet port because the C example has not been ported.
	See https://bugzilla.gnome.org/show_bug.cgi?id=638907
	This at least fixes distcheck so I can make a tarball release.
	* demos/gtk-demo/example_stockbrowser.cc: Revert my previous clear()->reset() 
	change because this was actually meant to call Image::clear().

2011-01-14  Murray Cumming  <murrayc@murrayc.com>

	Use RefPtr::reset() instead of deprecated RefPtr::clear().

	* demos/gtk-demo/example_change_display.cc:
	* demos/gtk-demo/example_images.cc:
	* demos/gtk-demo/example_stockbrowser.cc: These were causing build errors 
	now that we build with deprecated glibmm API disabled.

2011-01-14  Murray Cumming  <murrayc@murrayc.com>

	Deprecate some API which wraps deprecated GTK+ API.

	* gtk/src/range.hg: Deprecate get/set_update_policy() with no replacement.
	* gtk/src/treeview.hg: append*(): Use only non-deprecated API in the 
	template implementation.
	* gtk/src/treeviewcolumn.hg: Documentation: Do not suggest use of deprecated 
  API.
	* gtk/src/window.hg: Deprecate get/set_has_frame() and 
  get/set_frame_dimensions() with no replacements.

2011-01-14  Murray Cumming  <murrayc@murrayc.com>

	Regenerated the XML files containing the C API documentation.

	* gdk/src/gdk_docs.xml:
	* gtk/src/gtk_docs.xml: Regenerated with docextract_to_xml.py.

2011-01-14  Murray Cumming  <murrayc@murrayc.com>

	Added to *-extra_objects.defs to improve the generated documentation.

	* gdk/src/gdk_extra_objects.defs:
	* gtk/src/gtk_extra_objects.defs: Add the definitions that were added in 
	git master.

2011-01-14  Murray Cumming  <murrayc@murrayc.com>

	Restore support for the extra _CLASS_GOBJECT() parameter.

	* tools/m4/class_gtkobject.m4: This is still needed for the weird GtkWindow
	declaration in gtk+-2.0, though that is fixed in gtk+-3.0.

2011-01-14 Murray Cumming <murrayc@murrayc.com>

  Use the m4 convert files from atkmm and pangomm instead of repeating them.

  * configure.ac: Discover the path of the pangomm and atkmm m4 files for use
  instead of repeating them here.
  * tools/m4: Remove convert_pango.m4 and convert_atk.m4.

2011-01-14 Murray Cumming <murrayc@murrayc.com>

  Depend on necessary versions of atkmm and pangomm.

  * configure.ac: Depend on the versions of atkmm and pangomm that provide
  conversions in .m4 files, now that glibmm does not provide them implicitly.
  This is only relevant when building from git, however. The older versions
  would be OK when building from a tarball.

2010-01-14 José Alburquerque <jaalburqu@svn.gnome.org>

  _CLASS_GTKOBJECT: Remove __REAL_* additional arguments.
  
  * tools/m4/class_gtkobject.m4: Remove the use of the
  __REAL_[CNAME|CPARENT]__ variables needed to wrap some classes in
  gtkmm that were typedef to their base type (such as GdkWindow and
  GdkPixmap). These classes have been fixed in gtk+-3 thus eliminating
  the need for the special arguments in _CLASS_GTKOBJECT.

2010-01-14 Murray Cumming <murrayc@murrayc.com>

  Added class_gtkobject.m4, previously in glibmm.
  
  * tools/m4/class_gtkobject.m4: Added this, so we can use _CLASS_GTKOBJECT.
  * tools/m4/filelist.m4: Mentioned the new file.

2011-01-14  Murray Cumming  <murrayc@murrayc.com>

	Regenerated function defs.

	* gdk/src/gdk_methods.defs:
	* gtk/src/gtk_methods.defs: Regenerated with h2defs.py.
	* gtk/src/aboutdialog.hg: Use the changed conversion from gtkmm 3.0 which 
	avoids the need to edit the generated .defs file.
	
2011-01-11  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

  Widget::set_window(): Increase the ref count of the Gdk::Window.

  * gdk/src/widget.[hg|ccg]: set_window() increases the ref count of the
  Gdk::Window, since gtk_widget_set_window() does not.
  
  Bug #606903 (Hammered)

2011-01-11  Murray Cumming  <murrayc@murrayc-x61>

	Screen: Fix a typo, so the monitors_changed() signal really uses the C signal.
	
	* gdk/src/screen.hg: The monitors_changed() signal was wrapping the 
	size_changed signal.

2010-12-23  Murray Cumming  <murrayc@murrayc.com>

	Use _UNMANAGEABLE on all remaining Windows.

	* gtk/src/pagesetupunixdialog.hg:
	* gtk/src/plug.hg:
	* gtk/src/printunixdialog.hg: Use the _UNMANAGEABLE macro to 
	prevent us from calling manage() in the wrap_new() implementations.
	Bug #623137 (Kjell Ahlstedt)

2010-11-25  Murray Cumming  <murrayc@murrayc.com>

	ComboBoxText, ComboBoxEntryText: Move the undefs to really fix the build.

	* gtk/gtkmm/comboboxentrytext.cc:
	* gtk/gtkmm/comboboxtext.cc: Add undef GTK_DISABLE_DEPRECATED before any 
	other includes.

2010-11-25  Murray Cumming  <murrayc@murrayc.com>

	ComboBoxEntryText: Deprecate in favour of ComboBoxText.

	* gtk/gtkmm/comboboxtext.[h|cc]: Added a constructor with a bool has_entry 
	parameter.
	* gtk/gtkmm/comboboxentrytext.[h|cc]: Deprecate this whole class, telling 
	peopel to use ComboBoxText with has_entry=true, just as we have deprecated 
	ComboBoxEntry for Combobox with has_entry=true.

2010-11-25  Murray Cumming  <murrayc@murrayc.com>

	Fix gtk_methods.defs.

	* gtk/src/gtk_methods.defs: Add back the gtk-unix-print-2.0 stuff that 
	I forget to mention when regenerating this.

2010-11-25  Murray Cumming  <murrayc@murrayc.com>

	Deprecate Ruler.

	* gtk/src/ruler.hg: Also use #undef to fix the build.

2010-11-25  Murray Cumming  <murrayc@murrayc.com>

	Main: Deprecate signal_quit() and signal_run().

	* gtk/src/main.[hg|ccg]: Also use #undef to fix the build.

2010-11-25  Murray Cumming  <murrayc@murrayc.com>

	LinkButton: Deprecate set_uri_hook() and unset_uri_hook().

	* gtk/src/linkbutton.[hg|ccg]: Also use #undef to fix the build.

2010-11-25  Murray Cumming  <murrayc@murrayc.com>>

	ComboBox: Add constructors with a bool has_entry property, and add methods.
	
	* gtk/src/gtk_methods.defs: Regenerated with h2defs.py.
	* gtk/src/combobox.[hg|ccg]: Added constructors with bool has_entry parameters,
	and added get_has_entry(), set_entry_text_column() and get_entry_text_column(), 
	so that the deprecation in my previous commit actually makes sense.

2010-11-25  Murray Cumming  <murrayc@murrayc.com>

	Deprecate GtkComboBoxEntry in favour of GtkComboBox with has_entry=true.

	* gtk/gtkmm/comboboxtext.h: Add a comment saying that we are not using 
	GtkComboBoxText yet (we use it in gtkmm-3.0) because we want to avoid breaking 
	ABI. This still works fine anyway. 
	* gtk/src/comboboxentry.[hg|ccg]: Deprecate this entire class in gtkmm.
	Undef GTK_DISABLE_DEPRECATED in the .cc file so this can build without 
	--enable-warnings=fatal.

2010-11-25  Murray Cumming  <murrayc@murrayc-desktop>

	TreeViewColumn: Added get_first_cell(), deprecated get_first_cell_renderer().

	* gtk/src/treeviewcolumn.[hg|ccg]: Added get_first_cell() to match
	CellLayout::get_first_cell() in gtkmm 3.0, to make porting easier.

2010-11-09  Armin Burgmeier  <armin@arbur.net>

	* win32_installer/build-installer.sh: Make sure libintl-8.dll gets
	cleaned up correctly on uninstall.

	* win32_installer/gtkmm-installer.nsi.in: Add the lib\cairomm-1.0
	directory to the installed files.

2010-11-05  José Alburquerque  <jaalburqu@svn.gnome.org>

	Style: Fix the clone_vfunc() implementation.

	* gtk/src/style.hg: Modify the clone_vfunc() to take an extra
	reference of the GtkStyle obtained from the base class.  This is so
	that the clone_vfunc_callback() does not lose its last reference after
	it executes.

	Fixes GNOME Bug #633975 (mario).

2010-11-01  José Alburquerque  <jaalburqu@svn.gnome.org>

	Style: Virtual Functions: Correct reference counting errors.

	* tools/m4/convert_pango.m4: Remove the conversion from `PangoLayout*'
	to `const Glib::RefPtr<Pango::Layout>&' so it doesn't cause reference
	counting errors in the future.
	* gtk/src/style.hg: Put the PangoLayout conversion in this file
	locally for the draw_layout virtual function. Also correct a
	conversion that could cause reference counting errors.

	Fixes GNOME Bug #633689 (mario).

2010-10-13  Armin Burgmeier  <armin@arbur.net>

	* win32_installer/gtkmm-vc100-2_4.props:
	* win32_installer/gtkmm-vc100-d-2_4.props: Add property sheets for
	MSVC 2010.

	* win32_installer/gtkmm-vc80-2_4.vsprops:
	* win32_installer/gtkmm-vc80-d-2_4.vsprops:
	* win32_installer/gtkmm-vc90-2_4.vsprops:
	* win32_installer/gtkmm-vc90-d-2_4.vsprops: Add Win32 to the property
	sheet name so that it can be distinguished from the Win64 variant.

	* win32_installer/gtkmm-installer.nsi.in:
	* win32_installer/install-msvc-module.sh:
	* win32_installer/build-installer.sh: Update installer for gtkmm 2.22,
	64 bit and MSVC 2010.

2010-10-02  Armin Burgmeier  <armin@arbur.net>

	* MSVC_Net2005/README:
	* MSVC_Net2005/demos/gtk-demo/gtk-demo.vcproj:
	* MSVC_Net2005/gdkmm/gdkmm.vcproj:
	* MSVC_Net2005/gendef/gendef.vcproj:
	* MSVC_Net2005/gtkmm.sln:
	* MSVC_Net2005/gtkmm/gtkmm.vcproj:
	* MSVC_Net2008/README:
	* MSVC_Net2008/demos/gtk-demo/gtk-demo.vcproj:
	* MSVC_Net2008/gdkmm/gdkmm.vcproj:
	* MSVC_Net2008/gendef/gendef.vcproj:
	* MSVC_Net2008/gtkmm.sln:
	* MSVC_Net2008/gtkmm/gtkmm.vcproj:
	* MSVC_Net2010/README:
	* MSVC_Net2010/demos/gtk-demo/gtk-demo.vcxproj:
	* MSVC_Net2010/demos/gtk-demo/gtk-demo.vcxproj.filters:
	* MSVC_Net2010/filelist.am:
	* MSVC_Net2010/gdkmm/gdkmm.rc.in:
	* MSVC_Net2010/gdkmm/gdkmm.vcxproj:
	* MSVC_Net2010/gdkmm/gdkmm.vcxproj.filters:
	* MSVC_Net2010/gendef/gendef.cc:
	* MSVC_Net2010/gendef/gendef.vcxproj:
	* MSVC_Net2010/gendef/gendef.vcxproj.filters:
	* MSVC_Net2010/gtkmm.sln:
	* MSVC_Net2010/gtkmm/gtkmm.rc.in:
	* MSVC_Net2010/gtkmm/gtkmm.vcxproj:
	* MSVC_Net2010/gtkmm/gtkmm.vcxproj.filters:
	* MSVC_Net2010/README:
	* Makefile.am:
	* configure.ac: Added support for MSVC 2010 and 64 bit.

2.22.0:

2010-09-26  Armin Burgmeier  <armin@arbur.net>

	* MSVC_Net2005/demos/gtk-demo/gtk-demo.vcproj:
	* MSVC_Net2005/gtkmm.sln:
	* MSVC_Net2005/gtkmm/gtkmm.vcproj:
	* MSVC_Net2008/demos/gtk-demo/gtk-demo.vcproj:
	* MSVC_Net2008/gtkmm.sln:
	* MSVC_Net2008/gtkmm/gtkmm.vcproj: Update for the atkmm split.

2.21.9:

2010-09-26  Murray Cumming  <murrayc@murrayc.com>

	gtkmm: SeparatorToolItem: Added get/set_draw().

	* gtk/src/separatortoolitem.hg: Added get/set_draw().

2010-09-26  Murray Cumming  <murrayc@murrayc.com>

	gtkmm: MenuBar: Added remaining methods.

	* gtk/src/menubar.hg: Added set/get_pack_direction(),
	set/ get_child_pack_direction
	* tools/m4/convert_gtk.m4: Added guint32&->guint32* conversion.

2010-09-26  Murray Cumming  <murrayc@murrayc.com>

	gdkmm: Visual: Added methods.

	* gdk/src/visual.hg: Added get_visual_type(), get_depth(), get_byte_order(),
	get_colormap_size(), get_bits_per_rgb(), get_red_pixel_details(),
	get_green_pixel_details(), get_blue_pixel_details(), which are already in
	git master.
	* tools/m4/convert_gdk.m4: Added enum conversion.

2010-09-25  Murray Cumming  <murrayc@murrayc.com>

	gtkmm: Added remaining missing properties.

	* tools/extra_defs_gen/generate_defs_gtk.cc: Added GtkTreeModelSort.
	* gtk/src/gtk_signals.defs: Added the new section for this object.
	* gtk/src/scalebutton.hg: Added icons property.
	* gtk/src/scrolledwindow.hg: Added window_placement_set property.
	* gtk/src/separatortoolitem.hg: Added draw property.
	* gtk/src/statusicon.hg: Added tooltips, icon-size and icon-size-set
	properties.
	* gtk/src/toolbutton.hg: Added icon_name property.
	* gtk/src/treemodelfilter.hg: Added child_model and virtual_root properties.
	* gtk/src/treemodelsort.hg: Added model property.
	* gtk/src/treeview.hg: Added tooltip-column property.
	* gtk/src/treeviewcolumn.hg: Added resizable, spacing and sort-column-id
	properties.
	* gtk/src/widget.hg: Added is_focus and double_buffered properties.
	* gtk/src/window.hg: Added type, startup_id and opacity properties.

2010-09-25  Murray Cumming  <murrayc@murrayc.com>

	gtkmm: Added yet more missing properties.

	* gtk/src/menubar.hg: Added pack_direction and child_pack_direction
	properties, with a new PackDirection enum.
	* gtk/src/notebook.hg: Added group_id and group properties.
	* gtk/src/printer.hg: Added paused and accepting_jobs properties.
	* gtk/src/printjob.hg: Added track_print_status property.
	* gtk/src/printoperation.hg: Added track_print_status property.
	* gtk/src/progressbar.hg: Added adjustment, bar_stye, activity_step,
	activity_blocks and discrete_blocks properties.
	* gtk/src/ruler.hg: Added metric property.

2010-09-25  Murray Cumming  <murrayc@murrayc.com>

	gtkmm: Added missing properties.

	* tools/extra_defs_gen/generate_defs_gtk.cc: Added GtkComboBoxEntry and
	GtkColorSelectionDialog.
	* gtk/src/gtk_signals.defs: Added the new sections for these widgets.
	* gtk/src/colorselection.hg: Added color_selection, ok_button, cancel_button,
	and help_button properties.
	* gtk/src/combobox.hg: Added popup_shown and button_sensitivity properties.
	* gtk/src/comboboxentry.hg: Added text_column property.
	* gtk/src/entry.hg: Added inner_borde, primary_icon_tooltip_text,
	secondary_icon_tooltip_text", primary_icon_tooltip_markup" and
	secondary_icon_tooltip_markup properties.
	* gtk/src/filechooserbutton.hg: Added dialog property.
	* gtk/src/handlebox.hg: Added snap_edge_set and child_detached properties.
	* gtk/src/image.hg: Added pixel-size and icon-name properties.

2010-09-24  Murray Cumming  <murrayc@murrayc.com>

	gtkmm: Added some more missing properties.

	* gtk/src/cellrenderer.hg: Added editing property.
	* gtk/src/cellrendereraccel.hg: Added accel-mode property.
	* gtk/src/cellrenderertoggle.hg: Added inconsistent property.
	* gtk/src/progressbar.hg: Moved the ProgressBarOrientation enum to enums.hg.
	* gtk/src/cellrendererprogress.hg: Added orientation property.

2010-09-24  Murray Cumming  <murrayc@murrayc.com>

	CellEditable: Added editing_canceled property.

	* tools/extra_defs_gen/generate_defs_gtk.cc: Added GtkCellEditable.
	* gtk/src/gtk_signals.defs: Added the GtkCellEditable entries.
	* gtk/src/gtk_other.defs: Remove entries that are no longer needed,
	because they are now in gtk_signals.defs or gtk_methods.defs
	* gtk/src/gtk_methods.defs: Hand-edit some GtkAboutDialog entries to correct
	the constness of some return types.
	* gtk/src/celleditable.hg: Added editing_canceled property.

2010-09-24  Murray Cumming  <murrayc@murrayc.com>

	gtkmm: Added some missing properties.

	* gtk/src/accelgroup.hg: Added is_locked and modifier_mask properties.
	* gtk/src/actiongroup.hg: Added name, sensitive and visible properties.
	* gtk/src/adjustment.hg: Added value, lower, upper, step-increment,
	page-increment and page-size properties.
	* gtk/src/builder.hg: Added translation-domain property.

2010-09-24  Murray Cumming  <murrayc@murrayc.com>

	gdkmm: Screen: Added signals and properties.

	* gdk/src/gdk_signals.defs: Regenerated by taking the part of the
	extra_defs_gen output for GDK.
	* gdk/src/screen.hg: Added composited_changed() and monitors_changed()
	signals, but with no default signal handlers, to avoid breaking ABI.
	Added font-options and resolution properties.

2.21.8.1:

2010-09-20  Murray Cumming  <murrayc@murrayc.com>

  Fix the make check build.

	* demos/gtk-demo/example_colorsel.cc:
	* demos/gtk-demo/example_sizegroup.cc:
	* demos/gtk-demo/example_stockbrowser.cc: Use ALIGN_START/END instead of
  the deprecated LEFT/RIGHT/TOP/BOTTOM versions.

2010-09-20  Murray Cumming  <murrayc@murrayc.com>

	Widget: Document the set_flags() and unset_flags() deprecation.

	* gtk/src/widget.hg: Add doxygen comments based on the C documentation.

2010-09-20  Murray Cumming  <murrayc@murrayc.com>

	Added some missing properties.

	* gtk/src/iconview.hg: Added tooltip-column and reorderable and
  item-padding properties.
	* gtk/src/messagedialog.hg: Added message-area properties.

2010-09-20  Murray Cumming  <murrayc@murrayc.com>

	Fix some gmmproc warnings, adding some TextBuffer methods.

	* tools/extra_defs_gen/generate_defs_gtk.cc: Added interfaces because
  this now supports them.
	* gtk/src/gtk_signals.defs: Regenerated.
	* gtk/src/gtk_other.defs: Remove declarations that are now in
  the regular gtk_signals.defs.
	* gtk/src/gtk_extra_objects.defs: Added GtkPrintOperation for the docs.
	* gtk/src/entry.hg: Ignore the preedit-changed signal because it is
  for keybindings.
	* gtk/src/filechooser.hg: Remove the mention of the folder-mode property,
  which apparently never existed.
	* gtk/src/infobar.hg: Ignore the close signal because it is for keybindings.
	* gtk/src/textbuffer.hg: Added get_copy_target_list() and
  get_paste_target_list().
	* gtk/src/toolitem.hg: Ignore the deprecated set_tooltip signal.
	* gtk/src/toolpalette.hg: Ignore the set_scroll_adjustments signal because
  it seems to be internal.
	* gtk/src/treepath.hg: Ignore gtk_tree_path_get_indices_with_depth()
  because we don't need it.

2010-09-15  Murray Cumming  <murrayc@murrayc.com>

	AlignmentEnum: Add ALIGN_START and ALIGN_END to match gtkmm 3.

	* gtk/src/enums.[hg|ccg]: AlignmentEnum: Added ALIGN_START and ALIGN_END,
	deprecating the LEFT/RIGHT/TOP/BOTTOM equivalents. This will help existing
	code when porting to gtkmm 3, which has the Align enum instead of AlignmentEnum.
	* gtk/src/enums.hg:
	* gtk/src/misc.hg: Adapted.

2.21.8:

2010-09-14  Murray Cumming  <murrayc@murrayc.com>

	Dealt with some TODOs.

	* configure.ac: Depend on the latest GTK+ 2.21.x release.
	* gdk/src/drawable.hg: Do not deprecate draw_indexed_image() because
  GdkRgbCmap is not fully deprecated.
	* gdk/src/rgbcmap.[hg|ccg]: Only deprecate the methods, not the class,
  as in the C API.
	* gtk/src/menuitem.[hg|ccg]: Added unset_submenu().
	* gtk/src/papersize.[hg|ccg]: Added get_paper_sizes().
	* gtk/src/printoperation.[hg|ccg]: Added run_page_setup_dialog() overloads
  with no PageSetup parameter, because the C API allows this.
  These must be moved into the class in gtkmm 3.
	* gtk/src/style.hg: Added copy().

	* gtk/src/iconset.hg: Added class documentation based on the C documentation.
	* gtk/src/printsettings.hg: Add the exceptions documentation now that
  it is in the C documentation.
	* gtk/src/statusbar.hg: Added documentation for push() and remove_message().

2010-09-13  Murray Cumming  <murrayc@murrayc.com>

	Make sure that deprecated API is inside an ifdef.

	* gtk/gtkmm/comboboxentrytext.[h|cc]:
	* gtk/src/notebook.hg:
	* gtk/src/textbuffer.ccg:
	* gtk/src/textbuffer.hg:
	* gtk/src/widget.hg: Put anything documented with @deprecated in
	#ifndef GTKMM_DISABLE_DEPRECATED.

2010-09-13  Murray Cumming  <murrayc@murrayc.com>

	Regenerated C XML documentation.

	* gdk/src/gdk_docs.xml:
	* gtk/src/gtk_docs.xml: Regenerated.
	* gdk/src/filelist.am:
	* gdk/src/gdk_pixbuf_docs.xml: Added this, including it in filelist.am.
	Previously it was in gdk_doc.xml.

2010-09-13  Murray Cumming  <murrayc@murrayc.com>>

	MessageDialog: Added get_message_area().

	* gtk/src/messagedialog.hg: Added get_message_area().

2010-09-13  Murray Cumming  <murrayc@murrayc.com>

	gtkmm: Fix typos to really avoid documentation warnings.

	* gtk/src/gtk_extra_objects.defs: Add a missing quote and add some other
	definitions.

2010-09-13  Murray Cumming  <murrayc@murrayc.com>

	gtkmm: Avoid most Documentation warnings from gmmproc.

	* gtk/src/filelist.am:
	* gtk/src/gdk.defs:
	* gtk/src/gdk_extra_objects.defs: Added this *extra_objects.defs file,
	with hand-coded define-object sections, for objects that hide their *Class
	or *Iface struct declarations, which stops h2defs.py from generating
	define-object sections.
	These allows DocsParser.pm to know how to split mentions of C functions into
	the object and the method, so it can guess the C++ method name to mention
	instead.

2010-09-13  Murray Cumming  <murrayc@murrayc.com>

  gdkmm: Avoid most Documentation warnings from gmmproc.

	* gdk/src/filelist.am:
	* gdk/src/gdk.defs:
	* gdk/src/gdk_extra_objects.defs: Added this *extra_objects.defs file,
	with hand-coded define-object sections, for objects that hide their *Class
	or *Iface struct declarations, which stops h2defs.py from generating
	define-object sections.
	These allows DocsParser.pm to know how to split mentions of C functions into
	the object and the method, so it can guess the C++ method name to mention
	instead.

2010-09-13  Murray Cumming  <murrayc@murrayc.com>

	IconView: Added get/set_item_orientation().

	* gtk/src/gtk_methods.defs: Regenerated with h2defs.py.
	* gtk/src/iconview.hg: Added get/set_item_orientation() and property.

2010-09-13  Murray Cumming  <murrayc@murrayc.com>

	Fix compilation errors when disabling deprecated gdkmm API.

